package pen_flowchart;

import java.awt.event.ActionEvent;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class Parts_LoopEnd2 extends Parts_LoopEnd {
	String text2;

	public Parts_LoopEnd2()
	{
		super();
		setValue("≪条件≫");
		text2 = "になるまで";
	}

	public void setValue(String s)
	{
		setText(s);
	}

	@Override
	public boolean hasText()
	{
		return true;
	}

	@Override
	String getText2() {
		return text2;
	}

	@Override
	void setText2(String s) {
	}
	@Override
	public boolean editMe()
	{
		EditDialog dialog = new EditDialog();
		dialog.setVisible(true);
		return isDirty();
	}

	private class EditDialog extends MyDialog
	{
		private static final long serialVersionUID = 1L;
		JButton btnOK, btnCancel;
		JTextField text;

		public EditDialog() {
			super();
			this.setTitle("繰り返しの編集");
			JPanel panel = new JPanel();
			panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));
			text = new JTextField(40);
			grabFocus(text);
			text.setText(getText());
			btnOK = new JButton("OK");
			btnOK.addActionListener(this);
			getRootPane().setDefaultButton(btnOK);
			btnCancel = new JButton("キャンセル");
			btnCancel.addActionListener(this);
			panel.add(new JLabel("条件（〜になるまで）"));
			panel.add(text);
			panel.add(btnOK);
			panel.add(btnCancel);
			getContentPane().add(panel);
			pack();
			setLocationRelativeTo(null);
		}

		@Override
		public void actionPerformed(ActionEvent e) {
			if(e.getSource() == btnOK)
			{
				setValue(Converter.Zen2Han(text.getText()));
				makeDirty();
				dispose();
			}
			else if(e.getSource() == btnCancel)
				dispose();
		}
	}

}
